CalculatorMessage Class Reference

A message with information to the user. Primarily used for errors and warnings. More...

`#include <Calculator.h>`

## Public Member Functions

| CalculatorMessage (std::string message_, MessageType type_=MESSAGE_WARNING, int cat_=MESSAGE_CATEGORY_NONE, int stage_=MESSAGE_STAGE_UNSET)
| CalculatorMessage (const CalculatorMessage &e)
std::string | message () const
const char * | c_message () const
MessageType | type () const
int | stage () const
int | category () const

## Protected Attributes

std::string | smessage
MessageType | mtype
int | i_stage
int | i_cat

## Detailed Description

A message with information to the user. Primarily used for errors and warnings.

The documentation for this class was generated from the following file:

- /opt/local/var/macports/build/libqalculate-c3f98a11/work/libqalculate-5.11.0/libqalculate/Calculator.h